@import "spectrum";

.cke_chrome {
  overflow: hidden;
}

.block-set-header {
  display: block;
  background: #f0f4f5;
  border: 1px solid #d3d8dc;
  display: inline-block;
  width: 100%;
}

.block-set {
  a.resort {
    text-decoration: none;
    padding: 10px 0 0 0;
    display: inline-block;
  }

  .block-set-label {
    font-weight: 600;
    margin: 0;
    color: #5E6469;
    margin: 0;
    padding: 0px 15px;
    float: left;
  }

  .add-blocks {
    width: 100%;
    padding: 1rem 0;
  }
}

.block-controls {
  background-color: #ccc;
  padding: 0.3rem;
  cursor: move;

  a {
    text-decoration: none;
    color: gray;
    padding: 0 0.5rem;
    font-size: 1.25rem;

    &.control-destroy {
      color: red;
    }
  }
  .block-type {
    font-weight: bold;
    width: 6rem;
    display: inline-block;
    font-size: 1rem;
  }
  input[type='text'].block-label {
    width: 15rem;
    margin-bottom: 2px;
  }
}


.block-container {
  margin: 0.5rem 0;
  border-width: 3px;
  border-color: #ccc;
  border-style: solid;
  border-radius: 3px;

  fieldset.block-fields {
    box-shadow: none;
    border: none;
    margin: 0;
    padding: 0;
  }

  &.diptych {
    li.ckeditor {
      width: 48%;
      float: left;
      margin: 0 auto;
    }
  }

  &.triptych {
    li.ckeditor {
      width: 31.5%;
      float: left;
      margin: 0 auto;
    }
  }

  &.removing {
    opacity: 0.4;

    border-color: yellow;
    .block-controls { background-color: yellow; }
  }

  &.flagged-for-deletion {
    display: none;
  }
}

.layout-controls {
  width: 100%;
  text-align: center;
  display: inline-block;
  height: 100%;
  padding: 1rem;
  fieldset.choices {
    padding: 10px;
    margin: 0;
    float: left;
    width: 100%;
    border-right: 1px solid #ddd;
    border-left: 1px solid #ddd;
  }

  ol.choices-group {
    li.choice {
      float: left;
      label {
        input {
          display: block;
          margin: 0 auto;
        }
      }
    }
  }

}

.layout-controls + .block-fields {
    display: block;
    li {
      padding: 0 0 1rem 0;
    }
    label.label {
      padding: 0 0 .5rem 0;
      width: 100%;
      display: inline-block;
      font-weight: 900;
    }
}


li.layout-group {
  display: block;
  background: #fff;
  margin: .5rem;
  float: left;
  text-align: center;
  width: 30%;
    legend.label {
      display: inline-block;
      position: relative;
      width: 100%;
      text-align: left;
      border-bottom: 0;
      label {
        display: inline-block;
        position: relative;
        width: 100%;
        text-align: center;
        font-weight: bold;
      }
    }
    .choices-group {
      width: 100%;
      padding: 0;
      margin: 0;
      li.choice {
        display: inline-block;
        text-align: center;
        padding: 0 1rem 0 0;
        float: none;
        label {
          padding: 0;
        }
        i.fa {
          font-size: 1rem;
          border: 1px solid #ddd;
          padding: 4px;
          border-radius: 3px;
          cursor: pointer;
        }
      }
    }
}

.block-fields {
  .scrapbook-widget {
    width: 100%;
    display: block;
    padding: 1rem 0;
  }
}

.scrapbook-widget > div {
  background: #ececec;
  border: 1px solid #ddd;
  white-space: nowrap;
  overflow: auto;
}

.scrapbook-widget > button {
  display: block;
  margin: 1rem 0;
}

.scrapbook.input.optional.stringish {
  label {
    font-size: 1.125rem;
    font-weight: 600;
    display: block;
    margin: 1rem;
    padding: 0;
  }
}

.scrapbook-placement {
    display: inline-block;
    max-width: 15rem;
}

div[context=gallery_items] > div.scrapbook-image {
  display: inline-block;
  float: left;
  padding: 1rem;
  cursor: move;
  box-sizing: border-box;
  max-width: 20rem;
  height: auto;
  white-space: normal;
  width: 100%;
  .info-controls span {
    width: 100%;
    display: block;
    padding: .25rem;
  }
}

div[context=hero] > div.scrapbook-image {
  display: inline-block;
  float: left;
  padding: 1rem;
  cursor: move;
  box-sizing: border-box;
  max-width: 20rem;
  height: auto;
  white-space: normal;
  width: 100%;
  .info-controls span {
    width: 100%;
    display: block;
    padding: .25rem;
  }
}

div[context=blocks_image] > div.scrapbook-image {
  display: inline-block;
  float: left;
  padding: 1rem;
  cursor: move;
  box-sizing: border-box;
  max-width: 20rem;
  height: auto;
  white-space: normal;
  width: 100%;
  .info-controls span {
    width: 100%;
    display: block;
    padding: .25rem;
  }
}

.block-fields {
  padding: 1rem;
  li.gallery-styles {
    label {
      display: block;
    }
  }
}

input[type=radio].with-icon,
input[type=checkbox].with-icon {
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

input[type=radio]:checked ~ i.fa {
    background: #ddd;
    border: 1px solid #bbb !important;
}

i.fa-alignment-left:before {
  content: "\f036";
}

i.fa-alignment-center:before {
  content: "\f037";
}

i.fa-alignment-right:before {
  content: "\f038";
}

i.fa-margin-zero:before {
  content: "\f096";
}

i.fa-margin-some:before {
  content: "\f196";
}

i.fa-arrangement-full:before {
  content: "\f07e";
}

i.fa-arrangement-half:before {
  content: "\f066";
}

i.fa-arrangement-float_left:before {
  content: "\f100";
}

i.fa-arrangement-float_right:before {
  content: "\f101";
}

i.fa-arrangement-one_third:before {
  content: "1/3";
}

i.fa-arrangement-two_thirds:before {
  content: "2/3";
}
